GearmanJob::setReturn
GearmanJob::unique
GearmanJob
PHP Manual

# GearmanJob::status

Send status (deprecated)

### Description

public bool GearmanJob::status ( int `$numerator` , int `$denominator` )

Sends status information to the job server and any listening clients. Use this to specify what percentage of the job has been completed.

> Note:

> This method has been replaced by GearmanJob::sendStatus in the 0.6.0 release of the Gearman extenstion.

### Parameters

`numerator`

  The numerator of the precentage completed expressed as a fraction.

`denominator`

  The denominator of the precentage completed expressed as a fraction.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::jobStatus
- GearmanTask::taskDenominator
- GearmanTask::taskNumerator